ClientAbortException (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.catalina.connector, class: ClientAbortException

# Class ClientAbortException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.coyote.BadRequestException
org.apache.catalina.connector.ClientAbortException

All Implemented Interfaces:
  `Serializable`

public final class ClientAbortException extends BadRequestException
Extend IOException to identify it as being caused by an abort of a request by a remote client.

Author:
  Glenn L. Nielsen
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientAbortException()`
  Construct a new ClientAbortException with no other information.
  `ClientAbortException(String message)`
  Construct a new ClientAbortException for the specified message.
  `ClientAbortException(String message, Throwable throwable)`
  Construct a new ClientAbortException for the specified message and throwable.
  `ClientAbortException(Throwable throwable)`
  Construct a new ClientAbortException for the specified throwable.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientAbortException

    public ClientAbortException()
    Construct a new ClientAbortException with no other information.

  - ### ClientAbortException

    public ClientAbortException(String message)
    Construct a new ClientAbortException for the specified message.
    Parameters:
      `message` - Message describing this exception

  - ### ClientAbortException

    public ClientAbortException(Throwable throwable)
    Construct a new ClientAbortException for the specified throwable.
    Parameters:
      `throwable` - Throwable that caused this exception

  - ### ClientAbortException

    public ClientAbortException(String message, Throwable throwable)
    Construct a new ClientAbortException for the specified message and throwable.
    Parameters:
      `message` - Message describing this exception
      `throwable` - Throwable that caused this exception